## ros-lunar-controller-interface 0.13.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(controller_interface)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp hardware_interface pluginlib)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS roscpp hardware_interface pluginlib
  INCLUDE_DIRS include
  )

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-lunar-controller-interface (0.13.3-0stretch) stretch; urgency=high

  * Introduce shared_ptr typedefs
  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-lunar-controller-interface (0.13.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-lunar-controller-interface (0.13.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-lunar-controller-interface (0.13.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-controller-interface (0.12.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-lunar-controller-interface (0.11.5-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-controller-interface (0.11.4-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-lunar-controller-interface (0.11.3-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-lunar-controller-interface (0.11.2-0stretch) stretch; urgency=high

  * Remove boost from depends declaration to fix cmake warning
  * sort dependencies
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-lunar-controller-interface (0.11.1-0stretch) stretch; urgency=high

  * Fix the example in the comments in multi_interface_controller.h.
  * Contributors: Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-lunar-controller-interface (0.11.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-controller-interface (0.10.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-lunar-controller-interface (0.10.0-0stretch) stretch; urgency=high

  * Add MultiInterfaceController.
    - Subclass of ControllerBase which allows to claim resources from up to four
    different hardware interfaces.
    Requested hardware interfaces are required by default, but can be made optional
    through a constructor flag.
  * Remove getHardwareInterfaceType() pure virtual method from ControllerBase
    class.
    - C++ API break.
    - Controller class still preserves the method, albeit protected and non-virtual.
  * Modify controller interfaces to allow for controllers that claim resources
    from more than one hardware interface.
    - C++ API break.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-controller-interface (0.9.3-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-lunar-controller-interface (0.9.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-controller-interface (0.9.1-0stretch) stretch; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-controller-interface (0.9.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-controller-interface (0.8.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-lunar-controller-interface (0.8.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-lunar-controller-interface (0.8.0-0stretch) stretch; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-controller-interface (0.7.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-controller-interface (0.7.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-controller-interface (0.7.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-controller-interface (0.6.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-controller-interface (0.5.8-0stretch) stretch; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * Add .gitignore file.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Oct 2013 23:00:00 -0000



=== debian/control ===
Source: ros-lunar-controller-interface
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-hardware-interface, ros-lunar-pluginlib, ros-lunar-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-lunar-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-hardware-interface, ros-lunar-pluginlib, ros-lunar-roscpp
Description: Interface base class for controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-controller-interface//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
